Name: 		xdrawchem
Version: 	1.9.9
Release: 	11%{?dist}
Summary: 	2D chemical structures drawing tool
Source:		http://dl.sourceforge.net/sourceforge/xdrawchem/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch:		%{name}-gcc43.patch
Patch1:		%{name}-ob22.patch
URL: 		http://xdrawchem.sourceforge.net/
License: 	GPLv2+
Group: 		Applications/Engineering
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	qt3-devel
BuildRequires:	desktop-file-utils
BuildRequires:	openbabel-devel

%description
XDrawChem is a two-dimensional molecule drawing program for Unix
operating systems.  It is similar in functionality to other molecule
drawing programs such as ChemDraw (TM, CambridgeSoft).  It can read
and write MDL Molfiles and CML files to allow sharing between
XDrawChem and other chemistry applications.

%prep
%setup -q
%patch -p1 -b .gcc43
%patch1 -p1 -b .ob

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT

# menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -c -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps
desktop-file-install --vendor fedora \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	%{SOURCE1}
rm -f $RPM_BUILD_ROOT%{_datadir}/xdrawchem/caslist.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc HISTORY.txt GPL.txt README.txt TODO.txt
%attr(755,root,root) %{_bindir}/xdrawchem
%{_datadir}/xdrawchem
%{_datadir}/applications/*xdrawchem.desktop
%{_datadir}/pixmaps/xdrawchem.png

%changelog
* Mon Jul 07 2008 Dominik Mierzejewski <rpm@greysector.net> 1.9.9-11
- rebuild for new openbabel

* Sun Jun 01 2008 Dominik Mierzejewski <rpm@greysector.net> 1.9.9-10
- fix segfault (#447531), patch by Mamoru Tasaka
- don't use %%makeinstall

* Fri Apr 04 2008 Dominik Mierzejewski <rpm@greysector.net> 1.9.9-9
- qt-devel -> qt3-devel (thanks to Rex Dieter)
- port to openbabel-2.2

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.9.9-8
- Autorebuild for GCC 4.3

* Mon Jan 07 2008 Dominik Mierzejewski <rpm@greysector.net> 1.9.9-7
- fix build with gcc-4.3

* Wed Aug 29 2007 Dominik Mierzejewski <rpm@greysector.net> 1.9.9-6
- rebuild for BuildID
- fix license tag

* Tue Dec 19 2006 Dominik Mierzejewski <rpm@greysector.net> 1.9.9-5
- rebuild against new openbabel in devel
- simplify d-f-i call

* Tue Aug 29 2006 Dominik Mierzejewski <rpm@greysector.net> 1.9.9-4
- mass rebuild

* Thu Aug 10 2006 Dominik Mierzejewski <rpm@greysector.net> 1.9.9-3
- added dist tag

* Mon Aug 07 2006 Dominik Mierzejewski <rpm@greysector.net> 1.9.9-2
- simplified file list

* Sun Jan 08 2006 Dominik Mierzejewski <rpm@greysector.net> 1.9.9-1
- Updated to 1.9.9

* Thu Aug 11 2005 Dominik Mierzejewski <rpm@greysector.net>
- Updated to 1.9.8

* Sat Nov 29 2003 Gunner Poulsen <gunner@gnuskole.dk>
- Updated to require openbabel.

* Sun Jun 22 2003 Gunner Poulsen <gunner@gnuskole.dk> 1.7.2-1RH9
- Modyfied to fit Red Hat 9 and 8.

* Sat Apr 05 2003 Eduardo Sanchez <sombragris@sombragris.org> 1.6.9-1mdk
- 1.6.9

* Wed Mar 12 2003 Eduardo Sanchez <sombragris@sombragris.org> 1.6.8-1mdk
- 1.6.8
- resumed compilation after a long series of unsuccessful trials ;)

* Tue Jan 07 2003 Eduardo Sanchez <sombragris@sombragris.org> 1.6.3-1mdk
- 1.6.3

* Fri Dec 27 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.6.2b-1mdk
- 1.6.2b
- Built on MDK 9.0 and qt 3.1
- Spec file reworked to take account of differences with Cooker packages
- Thanks to Bryan for his help in building this package!

* Thu Nov 07 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.6-1mdk
- 1.6

* Tue Oct 15 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.5.5-1mdk
- 1.5.5

* Mon Oct 07 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.5.4-2mdk
- dir was locked; fixed

* Mon Oct 07 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.5.4-1mdk
- 1.5.4

* Wed Oct 03 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.5.3-1mdk
- 1.5.3
- streamlined spec file; removed references to old patch

* Fri Sep 20 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.5.2-1mdk
- 1.5.2
- First build with autoconf, let's see :)

* Tue Sep 10 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.5.1-1mdk
- 1.5.1
- 1.5 didn't work, let hope this one does!

* Fri Aug 02 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.4.2-1mdk
- 1.4.2

* Wed Jul 18 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.4.1-1mdk
- 1.4.1

* Thu Jul 04 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.4-1mdk
- 1.4
- built against KDE 3.0.2

* Fri Jun 07 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.3.2-1mdk
- 1.3.2

* Tue Jun 04 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.3.1-1mdk
- 1.3.1

* Wed May 29 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.3-1mdk
- 1.3

* Thu May 23 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.2-2mdk
- rebuilt against standard Mandrake KDE 3.0.1 packages 

* Wed May 22 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.2-1mdk
- 1.2

* Wed May 1 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.1.1-1mdk
- 1.1.1

* Sun Apr 14 2002 Eduardo Sanchez <sombragris@sombragris.org> 1.1-2mdk
- 1.1
- patched Makefile only for Qt3 (libqt-mt)
- build with Qt3

* Thu Mar 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- Fix hard coded path

* Thu Mar 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Tue Feb 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- 1.0
- fix menu
- remove useless ldconfig

* Wed Feb 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.9-1mdk
- 0.99.9

* Mon Jan 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99.8-1mdk
- 0.99.8

* Tue Dec 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99.7-1mdk
- 0.99.7

* Wed Dec 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.6-1mdk
- 0.99.6

* Thu Nov 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-1mdk
- 0.99.4

* Fri Oct 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.3-1mdk
- rebuild against new libpng
- 0.99.3

* Thu Sep 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99.1-1mdk
- Update code (0.99.1)

* Mon Sep 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.99-1mdk
- Update code (0.99)

* Wed Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-3mdk
- Fix icon 

* Tue Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-2mdk
-Rebuild

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.96-1mdk
- 0.96

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 0.94-1mdk
- updated from Thomas Leclerc <leclerc@linux-mandrake.com> 0.94-1mdk
	- version 0.94
	- add menu entry

* Wed Jul 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.92-1mdk

- added in contribs by Thomas Leclerc <leclerc@linux-mandrake.com> :
        - version 0.92
	
* Tue Jul 10 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.91-1mdk
- version 0.91
- remove matherr-patch (obsolete)

* Mon Jun 18 2001 Thomas Leclerc <leclerc@linux-mandrake.com> 0.9-1mdk
- initial mandrake release
- patch errors in libm usage

# end of file
